Page MenuHomePhabricator

#jump-to-nav margin elimination caused the indentation between the subtitle and the article content to disappear
Closed, ResolvedPublic

Description

https://en.wikipedia.org/wiki/Falcon
Before / Expected:


Now / Actual:

The case in both Vector and Monobook (didn't check others).

Relevant commits: https://gerrit.wikimedia.org/r/384129, (earlier) https://gerrit.wikimedia.org/r/#/c/376879/

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 19 2017, 9:37 PM
stjn added a subscriber: stjn.Oct 19 2017, 9:45 PM

Fixing this, one must also consider that not all pages have the subtitle, so ‘Information for Falcon’ [1], for example, should not have any additional margin, like it was before this change was made.

[1]: https://en.wikipedia.org/wiki/Falcon?action=info

Jack_who_built_the_house triaged this task as Unbreak Now! priority.Oct 19 2017, 10:09 PM

This is actually a major design breakage, as it's one of the most visible spots on the page, so I'll set the priority to "Unbreak Now!" in hope of drawing attention to it.

Restricted Application added subscribers: Liuxinyu970226, Jay8g, TerraCodes. · View Herald TranscriptOct 19 2017, 10:09 PM

Aha, I found the relevant task: T176444. So, it happened after this was merged.

Gentlemen, is what is seen on the screenshots something that you supposed to get? I don't quite remember what the indentation of #mw-content-text was before the "Remove contentSub from layout when empty" commit, but now it's waaay too close to the subtitle.

...Actually, the indentation was exactly the same before and after the linked commit. #contentSub's

margin: 0 0 1.4em 1em;

was accompanied by #jump-to-nav's

margin-top: -1.4em;
margin-bottom: 1.4em;

After the change, the hidden #contentSub was compensated by #jump-to-nav's

margin-top: 0;
margin-bottom: 1.4em;

Now #contentSub is gone, and both #jump-to-nav's margins also gone. No margin left.

Jack_who_built_the_house renamed this task from Hiding empty #contentSub caused the indentation between the subtitle and the article content to disappear to #jump-to-nav margin elimination caused the indentation between the subtitle and the article content to disappear.Oct 19 2017, 11:51 PM
TheDJ added a comment.Oct 20 2017, 1:52 PM

This does not look good. suggest just reverting all of it instead.

TheDJ added a comment.Oct 20 2017, 2:57 PM

i've put in place a temporary workaround in en.wp for the weekend.

@TheDJ Did you place it inside @media screen block on purpose?

Elitre added a subscriber: Elitre.Oct 21 2017, 4:59 PM

Any plans to fix it before the next deploy?

greg added a subscriber: greg.Nov 3 2017, 7:15 PM

Status of this UBN!?

Change 389282 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/core@master] Revert #contentSub and #jump-to-nav margin changes

https://gerrit.wikimedia.org/r/389282

Change 389282 merged by jenkins-bot:
[mediawiki/core@master] Revert #contentSub and #jump-to-nav margin changes

https://gerrit.wikimedia.org/r/389282

matmarex closed this task as Resolved.Nov 4 2017, 10:38 PM
matmarex claimed this task.
matmarex removed a project: Patch-For-Review.

Change 396429 had a related patch set uploaded (by Kghbln; owner: Karsten Hoffmeyer):
[mediawiki/core@master] Revert #contentSub and #jump-to-nav margin changes

https://gerrit.wikimedia.org/r/396429

Change 396431 had a related patch set uploaded (by Kghbln; owner: Karsten Hoffmeyer):
[mediawiki/core@REL1_30] Revert #contentSub and #jump-to-nav margin changes

https://gerrit.wikimedia.org/r/396431

Change 396429 abandoned by Bartosz Dziewoński:
Revert #contentSub and #jump-to-nav margin changes

Reason:
Wrong branch, see https://gerrit.wikimedia.org/r/396431

https://gerrit.wikimedia.org/r/396429

Change 396431 merged by Bartosz Dziewoński:
[mediawiki/core@REL1_30] Revert #contentSub and #jump-to-nav margin changes

https://gerrit.wikimedia.org/r/396431